package com.unis.sxzcl.base.base_detail;

import com.chad.library.adapter.base.provider.BaseItemProvider;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.unis.sxzcl.R;

import org.jetbrains.annotations.NotNull;

/**
 * 包名: com.unis.sxzcl.base.base_detail
 * 类名: TitleContentItemProvider
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/2 15:44
 * 更新人:
 * 更新时间: 2020/12/2 15:44
 * 更新说明:
 * 版本号: 1.0
 */
public class TitleContentItemProvider extends BaseItemProvider<BaseDetailBean> {

    @Override
    public int getItemViewType() {
        return BaseDetail.TITLE_CONTENT;
    }

    @Override
    public int getLayoutId() {
        return R.layout.item_base_title_content;
    }

    @Override
    public void convert(@NotNull BaseViewHolder holder, BaseDetailBean item) {
        holder.setText(R.id.tv_title, item.getTitle())
                .setText(R.id.tv_content, item.getContent());
        holder.setGone(R.id.iv_next, !item.isNextIcon());
        holder.setGone(R.id.iv_down, !item.isDownIcon());

    }
}